# Class ManagementPermission

java.lang.Object
java.security.Permission
java.security.BasicPermission
java.lang.management.ManagementPermission

All Implemented Interfaces:
  `Serializable, Guard`

@Deprecated(since="25", forRemoval=true) public final class ManagementPermission extends BasicPermission
Deprecated, for removal: This API element is subject to removal in a future version.
This class was only useful in conjunction with the Security Manager, which is no longer supported. There is no replacement for this class.
This class is for management permissions.

API Note:
  This permission cannot be used for controlling access to resources as the Security Manager is no longer supported. Consequently this class is deprecated for removal in a future release.
Since:
  1.5
See Also:
  - `BasicPermission`
  - `Permission`
  - `Permissions`
  - `PermissionCollection`
  - `SecurityManager`
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`ManagementPermission(String name)`
Deprecated, for removal: This API element is subject to removal in a future version.
Constructs a ManagementPermission with the specified name.
`ManagementPermission(String name, String actions)`
Deprecated, for removal: This API element is subject to removal in a future version.
Constructs a new ManagementPermission object.

## Method Summary

### Methods declared in class BasicPermission

`equals, getActions, hashCode, implies, newPermissionCollection`

### Methods declared in class Permission

`checkGuard, getName, toString`

### Methods declared in class Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ManagementPermission

public ManagementPermission(String name)
Deprecated, for removal: This API element is subject to removal in a future version.
Constructs a ManagementPermission with the specified name.

Parameters:
  `name` - Permission name. Must be either "monitor" or "control".
Throws:
  `NullPointerException` - if `name` is `null`.
  `IllegalArgumentException` - if `name` is empty or invalid.

### ManagementPermission

public ManagementPermission(String name, String actions) throws IllegalArgumentException
Deprecated, for removal: This API element is subject to removal in a future version.
Constructs a new ManagementPermission object.

Parameters:
  `name` - Permission name. Must be either "monitor" or "control".
  `actions` - Must be either null or the empty string.
Throws:
  `NullPointerException` - if `name` is `null`.
  `IllegalArgumentException` - if `name` is empty or if arguments are invalid.